> ## Documentation Index
> Fetch the complete documentation index at: https://docs.tangoanalytics.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Post passwordvalidate forgot token

> When a user has invoked forgot password, an
email is sent which will have a validation token for setting their password. This
operation validates the token and provides a new token which may be used to change
the user's password.

The User must have the following rights to perform this task:

This operation requires a **Validate Token Request** value that includes the following fields:

This operation returns a **Password Auth Token** value with the following fields:



## OpenAPI

````yaml /tango_reserve/integrations/guides/auth.yaml post /password/validate-forgot-token
openapi: 3.1.0
info:
  description: auth
  version: '2.0'
  title: Reserve Auth API
servers:
  - url: /auth/
security: []
tags:
  - name: ApplicationDomainService
    description: |-
      This service handles retrieving Authentication Domain values for an
      application.
  - name: ApplicationLoginService
    description: Handles application authentication.
  - name: LogoutService
    description: Provides user logout services.
  - name: UserLoginService
  - name: UserPasswordService
    description: Handles password managing.
paths:
  /password/validate-forgot-token:
    post:
      tags:
        - UserPasswordService
      description: >-
        When a user has invoked forgot password, an

        email is sent which will have a validation token for setting their
        password. This

        operation validates the token and provides a new token which may be used
        to change

        the user's password.


        The User must have the following rights to perform this task:


        This operation requires a **Validate Token Request** value that includes
        the following fields:


        This operation returns a **Password Auth Token** value with the
        following fields:
      operationId: validateForgotPasswordToken
      parameters: []
      requestBody:
        required: false
        content:
          application/json:
            examples:
              example:
                value:
                  token: ...
            schema:
              $ref: '#/components/schemas/ValidateTokenRequest'
      responses:
        '201':
          content:
            application/json:
              examples:
                example:
                  value:
                    accessToken: ...
              schema:
                $ref: '#/components/schemas/PasswordAuthToken'
          description: PasswordAuthToken
      security:
        - AppAuthToken: []
components:
  schemas:
    ValidateTokenRequest:
      type: object
      title: ValidateTokenRequest
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            token:
              type: string
      example:
        token: ...
    PasswordAuthToken:
      type: object
      title: PasswordAuthToken
      allOf:
        - $ref: '#/components/schemas/DependentData'
        - properties:
            accessToken:
              type: string
      example:
        accessToken: ...
    DependentData:
      type: object
      title: DependentData
      example: {}
  securitySchemes:
    AppAuthToken:
      type: apiKey
      in: header
      name: AQOB-AppAuthToken

````